ข้ามไปยังเนื้อหา

Bria's VRMBG 3.0

ผสานการทำงาน

ID โมเดล bria/video/background-removal/v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/background-removal/v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.50 500 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
Bria AI ลบพื้นหลัง #video-to-video

การลบพื้นหลังวิดีโอ v3 พร้อมเอาต์พุตสีทึบหรือโปร่งใส และตัวเลือกครอปแบบซูมอัตโนมัติ

Bria AI · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น video_url
วางไฟล์ หรือ

วิดีโอต้นฉบับสำหรับการลบพื้นหลัง

ขั้นสูง output_container_and_codec · background_color · preserve_audio · auto_zoom
ค่าเริ่มต้น webm_vp9

คอนเทนเนอร์และโคเดกที่ใช้สำหรับเอาต์พุต: mp4_h265, mp4_h264, webm_vp9, mov_h265, mov_proresks, mkv_h265, mkv_h264, mkv_vp9 หรือ gif

ค่าเริ่มต้น Black

สีที่ใช้สำหรับพื้นหลัง: Transparent, Black, White, Gray, Red, Green, Blue, Yellow, Cyan, Magenta หรือ Orange

POST /run/bria/video/background-removal/v3?wait=20 ใบเสนอราคา → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/background-removal/v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Bria's VRMBG 3.0

ลบพื้นหลังจากวิดีโอที่ระบุด้วย `video_url` โดย `background_color` สามารถเป็น Transparent หรือหนึ่งในสิบสีทึบ `auto_zoom` จะครอบตัดเอาต์พุตให้เป็นสี่เหลี่ยมผืนผ้าที่เล็กที่สุดซึ่งครอบคลุมวัตถุตลอดทั้งวิดีโอ มีตัวเลือกคอนเทนเนอร์และโคเดกเอาต์พุตเก้าแบบ และ `preserve_audio` เปิดใช้งานเป็นค่าเริ่มต้น

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
output_container_and_codecไม่บังคับ
ประเภทenum
ค่าเริ่มต้นwebm_vp9
mp4_h265mp4_h264webm_vp9mov_h265mov_proresksmkv_h265mkv_h264mkv_vp9gif
คอนเทนเนอร์และโคเดกที่ใช้สำหรับเอาต์พุต: mp4_h265, mp4_h264, webm_vp9, mov_h265, mov_proresks, mkv_h265, mkv_h264, mkv_vp9 หรือ gif
preserve_audioไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
เปิดใช้การคงเสียงไว้ในวิดีโอเอาต์พุตเมื่อเป็น true
video_urlจำเป็น video
ประเภทurl · video
วิดีโอต้นฉบับสำหรับการลบพื้นหลัง
background_colorไม่บังคับ
ประเภทenum
ค่าเริ่มต้นBlack
TransparentBlackWhiteGrayRedGreenBlueYellowCyanMagentaOrange
สีที่ใช้สำหรับพื้นหลัง: Transparent, Black, White, Gray, Red, Green, Blue, Yellow, Cyan, Magenta หรือ Orange
auto_zoomไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
สวิตช์ครอบตัดอัตโนมัติ: true จะใช้ตำแหน่งของวัตถุในทุกเฟรมวิดีโอเพื่อค้นหาสี่เหลี่ยมผืนผ้าที่ครอบคลุมขนาดเล็กที่สุด แล้วครอบตัดเอาต์พุตให้พอดี
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/video/background-removal/v3",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "request_id": "string",
    "warning": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอหลังลบพื้นหลังและเสียงแล้ว
request_id
stringตัวระบุสำหรับคำขอ Bria
warning
string | nullคำเตือนที่อธิบายการปรับพารามิเตอร์ระหว่างให้บริการคำขอ ตัวอย่างเช่น โคเดกที่ไม่รองรับอัลฟาอาจต้องใช้สีดำแทนพื้นหลังโปร่งใส

โมเดลเพิ่มเติม: ลบพื้นหลัง

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/video/background-removal/v3.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt